## class fltk::Positioner

### Class Hierarchy

    fltk::Widget
       |
       +----fltk::Positioner

### Include Files

    #include <fltk/Positioner.h>

### Description

This class is provided for Forms compatibility. It provides 2D input. It would be useful if this could be put atop another widget so that the crosshairs are on top, but this is not implemented. The color of the crosshairs is `selection_color()`.

### Methods

- fltk::Positioner
- ~Positioner
- value
- xbounds
- xstep
- xvalue
- ybounds
- ystep
- yvalue

#### fltk::Positioner::Positioner(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::Positioner` widget using the given position, size, and label string. The default boxtype is `fltk::NO_BOX`.

#### virtual fltk::Positioner::~Positioner()

Deletes the widget.

#### void fltk::Positioner::value(float *x, float *y) const

Returns the current position in `x` and `y`.

#### void xbounds(float *xmin, float *xmax)
void xbounds(float xmin, float xmax)

Gets or sets the X axis bounds.

#### void xstep(float x)

Sets the stepping value for the X axis.

#### float fltk::Positioner::xvalue(void) const
void fltk::Positioner::xvalue(float x)

Gets or sets the X axis coordinate.

#### void ybounds(float *ymin, float *ymay)
void ybounds(float ymin, float ymay)

Gets or sets the Y axis bounds.

#### void ystep(float y)

Sets the stepping value for the Y axis.

#### float fltk::Positioner::yvalue(void) const
void fltk::Positioner::yvalue(float y)

Gets or sets the Y axis coordinate.